| Flutter Impeller |

Public Member Functions | List of all members
impeller::RoundSuperellipsePathSource Class Reference

`#include <round_superellipse.h>`

Inheritance diagram for impeller::RoundSuperellipsePathSource:

## Public Member Functions
| RoundSuperellipsePathSource (const RoundSuperellipse &round_superellipse)
| ~RoundSuperellipsePathSource ()
const RoundSuperellipse & | GetRoundSuperellipse () const
FillType | GetFillType () const override
Rect | GetBounds () const override
bool | IsConvex () const override
void | Dispatch (PathReceiver &receiver) const override
Public Member Functions inherited from impeller::PathSource
virtual | ~PathSource ()=default

## Detailed Description

Definition at line 146 of file round_superellipse.h.

## Constructor & Destructor Documentation

## ◆ RoundSuperellipsePathSource()

impeller::RoundSuperellipsePathSource::RoundSuperellipsePathSource | ( | const RoundSuperellipse & | round_superellipse | ) |
| explicit

Definition at line 41 of file round_superellipse.cc.

43 : round_superellipse_(round_superellipse) {}

## ◆ ~RoundSuperellipsePathSource()

impeller::RoundSuperellipsePathSource::~RoundSuperellipsePathSource | ( |  | ) |
| default

## Member Function Documentation

## ◆ Dispatch()

void impeller::RoundSuperellipsePathSource::Dispatch | ( | PathReceiver & | receiver | ) | const
| overridevirtual

Implements impeller::PathSource.

Definition at line 59 of file round_superellipse.cc.

59 {
60 auto param = RoundSuperellipseParam::MakeBoundsRadii(
61 round_superellipse_.GetBounds(), round_superellipse_.GetRadii());
62 param.Dispatch(receiver);
63 }
impeller::RoundSuperellipse::GetRadii
constexpr const RoundingRadii & GetRadii() const
Definition: round_superellipse.h:50
impeller::RoundSuperellipse::GetBounds
constexpr const Rect & GetBounds() const
Definition: round_superellipse.h:49
impeller::RoundSuperellipseParam::MakeBoundsRadii
static RoundSuperellipseParam MakeBoundsRadii(const Rect &bounds, const RoundingRadii &radii)
Definition: round_superellipse_param.cc:487

References impeller::RoundSuperellipse::GetBounds(), impeller::RoundSuperellipse::GetRadii(), and impeller::RoundSuperellipseParam::MakeBoundsRadii().

## ◆ GetBounds()

Rect impeller::RoundSuperellipsePathSource::GetBounds | ( |  | ) | const
| overridevirtual

Implements impeller::PathSource.

Definition at line 51 of file round_superellipse.cc.

51 {
52 return round_superellipse_.GetBounds();
53 }

References impeller::RoundSuperellipse::GetBounds().

## ◆ GetFillType()

FillType impeller::RoundSuperellipsePathSource::GetFillType | ( |  | ) | const
| overridevirtual

Implements impeller::PathSource.

Definition at line 47 of file round_superellipse.cc.

47 {
48 return FillType::kNonZero;
49 }
impeller::FillType::kNonZero
@ kNonZero

References impeller::kNonZero.

## ◆ GetRoundSuperellipse()

const RoundSuperellipse& impeller::RoundSuperellipsePathSource::GetRoundSuperellipse | ( |  | ) | const
| inline

Definition at line 153 of file round_superellipse.h.

153 {
154 return round_superellipse_;
155 }

## ◆ IsConvex()

bool impeller::RoundSuperellipsePathSource::IsConvex | ( |  | ) | const
| overridevirtual

Implements impeller::PathSource.

Definition at line 55 of file round_superellipse.cc.

55 {
56 return true;
57 }

The documentation for this class was generated from the following files:

- impeller/geometry/round_superellipse.h
- impeller/geometry/round_superellipse.cc